namespace Petilja
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n,k,x;
            string segit;
            segit= Console.ReadLine();
            string[] s = new string[3];
            s = segit.Split(' ');
            n=Convert.ToInt32(s[0]);
            k=Convert.ToInt32(s[1]);
            x=Convert.ToInt32(s[2]);
            int[] p = new int[n];
            segit = Console.ReadLine();
            string[] ss = new string[n];
            ss = segit.Split(' ');
            for(int i=0;i<n;i++)
            {
                p[i] = Convert.ToInt32(ss[i]);
            }


            int[] moze = new int[k];
            int c=1;
            for(int i=0;i<k;i++)
            {
                for(int j=0+i;j<i+k;j++)
                {
                    moze[i] += c * p[j];
                    if(c!=x)
                    {
                        c++;
                    }
                }
                c = 1;
            }

            for(int i=0;i<k-1;i++)
            {
                Console.Write(moze[i] + " ");    
            }
            Console.Write(moze[k-1]);
        }
    }
}